2004-03-08  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Deleted.

2004-03-05  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Removed.  Directory configured from top level
	now.
	* Makefile.in (thisconfigdir, mydir): Updated.
	(MY_SUBDIRS): Define to just ".".
	(kprop, kpropd): Link against @LIBUTIL@.

2004-02-24  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SERVEROBJS, kpropd): Link against apputils lib
	instead of using LIBOBJS.

2003-08-29  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Call KRB5_AC_NEED_DAEMON instead of checking
	whether daemon() prototype is needed.
	* Makefile.in (SERVEROBJS): Use @LIBOBJS@.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2001-12-06  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Add KRB5_GETSOCKNAME_ARGS and KRB5_GETPEERNAME_ARGS

	* kprop.c, kpropd.c: Use GETSOCKNAME_ARG3_TYPE and
	GETPEERNAME_ARG3_TYPE. 

2001-10-09  Ken Raeburn  <raeburn@mit.edu>

	* kprop.c, kpropd.c: Make prototypes unconditional.

2001-09-24  Mitchell Berger  <mitchb@mit.edu>

	* kpropd.M: Correct typo (synopsis line should say kpropd, not kprop).

2001-06-21  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Check for daemon() prototype.

	* kpropd.c: Provide prototype if needed.

2001-06-18  Ezra Peisach  <epeisach@mit.edu>

	* kpropd.c (authorized_principal): Cast argument to ispace() to int.

2001-01-30  Ken Raeburn  <raeburn@mit.edu>

	* kpropd.c (load_database): Initialize save_stderr variable.

2001-01-29  Ken Raeburn  <raeburn@mit.edu>

	* kprop.h (KPROP_CKSUMTYPE): Delete unused macro.

Tue Oct 17 08:11:56 2000  Ezra Peisach  <epeisach@mit.edu>

	* kprop.c, kpropd.c: Use krb5_set_principal_realm() instead of
	freeing library generated memory using the internal krb5_xfree(). 

Sat Oct 14 14:16:20 2000  Ezra Peisach  <epeisach@mit.edu>

	* kpropd.c, kprop.c:  Ensure size of database sent OTW as 4 bytes
	instead of sizeof(int). 

2000-08-03  Ezra Peisach  <epeisach@mit.edu>

	* kprop.c, kpropd.c: Compiler warning fixes including: not
	shadowing global variabls/functions, assignments in conditionals,
	declaring local functions static.

	* configure.in: Check for mode_t being defined. 

2000-06-30  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in: kprop does not depend on the database libraries. 
	kpropd does not depend, nor need to link in the database libraries.

2000-05-08  Nalin Dahyabhai  <nalin@redhat.com>

	* kprop.c (open_connection): New argument indicates output buffer
	size.  Don't overrun it.
	(get_tickets): Pass size of Errmsg.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

	* configure.in, kpropd.c: Removed useless test for KRB5_POSIX, and
		removed unneeded #include of sgtty.h if POSIX_TERMIOS is
		not defined.
	
1998-10-27  Marc Horowitz  <marc@mit.edu>

	* kpropd.c (authorized_principal): make the acl file contain
	etypes, and use that in the authorization process.

Wed Feb 18 16:27:28 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (thisconfigdir): Remove trailing slash.

Mon Feb  2 16:59:30 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Wed Jan 21 15:18:24 1998  Ezra Peisach  <epeisach@mit.edu>

	* kprop.c, kpropd.c (main): returns int, not void. ANSI X3.159-1989
	2.1.2.2.1 says so, and gcc now warns about it.

Sat Feb 22 19:43:35 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in (kpropd): Build using KDB5_LIBS, not KDB5_LIB.

Tue Feb 18 18:18:44 1997  Richard Basch  <basch@lehman.com>

	* kprop.c kpropd.c: Use krb5_free_data_contents, where appropriate.

Fri Jan 31 19:22:37 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new program build procedure.

Thu Dec  5 21:15:27 1996  Tom Yu  <tlyu@mit.edu>

	* kslave_update: Update script for new filename conventions. [PR
	280]

	* kprop.M: Update outdated references to kdb5_edit and /krb5 [PR
	279]

	* kpropd.M: Update outdated references to kdb5_edit and /krb5 [PR
	279]

Fri Nov 22 15:52:07 1996  unknown  <bjaspan@mit.edu>

	* kprop.c (open_connection): use sizeof instead of h_length to
 	determine number of bytes of addr to copy from DNS response
 	[krb5-misc/211]

Thu Nov  7 15:18:01 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* kprop.c (main): 
	* kpropd.c (PRS): Check the error return from krb5_init_context(),
 		and print an error message if necessary.

Tue Oct 22 16:42:37 1996  Barry Jaspan  <bjaspan@mit.edu>

	* kpropd.c (PRS): munge realm of sname_to_princ when -r is
 	specified [krb5-admin/39]

Tue Sep 10 14:19:08 1996  Tom Yu  <tlyu@mit.edu>

	* kprop.M, kpropd.M: remove ".so man1/header.doc"

Mon Aug 12 14:33:31 1996  Barry Jaspan  <bjaspan@mit.edu>

	* kpropd.c: rework to use kdb5_util instead of kdb5_edit; don't
 	send # bytes received until kdb5_util succeeds, so kprop won't
 	print SUCCESS until it is true; accept an acl_file name on the
 	command line

Fri Mar 15 14:33:06 1996  Richard Basch  <basch@lehman.com>

	* kprop.c: Corrected various memory leaks and unreferenced 
	memory access conditions.

Tue Mar 12 14:01:32 1996  Richard Basch  <basch@lehman.com>

	* kprop.c: Write a byte to the last-prop file to ensure the file
		modtime is updated.  Simply opening the file isn't sufficient.

Wed Mar  6 16:15:46 1996  Richard Basch  <basch@lehman.com>

	* kprop.c: The credentials cache should be destroyed after any error.

Tue Mar  5 12:20:00 1996  Richard Basch  <basch@lehman.com>

	* kprop.c: Call krb5_sname_to_principal rather than doing the OS
	specific calls; this also deals with site-specific hostname
	munging that might have occurred.
	  Removed a trailing ; that caused a spurious message to be printed
	even upon success.

	* kpropd.c: Call krb5_sname_to_principal rather than doing the OS
	specific calls.
	  Open the lock file read-write, as required by
	POSIX.
	  Downgrade the lock to a shared lock prior to the execution
	of kdb5_edit (it also tries to place a shared lock on the dump file).

Wed Sep 13 23:53:19 1995  Mark Eichin  <eichin@cygnus.com>

	* kprop.h (KPROP_SRVTAB, KPROP_DEFAULT_FILE, KPROPD_DEFAULT_FILE,
	KPROPD_DEFAULT_KDB5_EDIT, KPROPD_DEFAULT_KRB_DB, KPROPD_ACL_FILE):
	removed configurable pathnames, they are now in osconf.h (which
	gets included here via k5-int.h).

Wed Aug 16 02:45:19 1995  Chris Provenzano <proven@mit.edu>

        * kprop.c, kpropd.c: Pass fds to krb5_lock_file() and krb5_unlock_file()

Fri Jul 7 16:34:36 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Remove all explicit library handling and LDFLAGS.
	* configure.in - Add USE_KDB5_LIBRARY and KRB5_LIBRARIES.

Wed July  5 15:52:31 1995  James Mattly  <mattly@fusion.com>
	* kprop.c changed open to THREEPARAMOPEN

Fri Jun 30 14:47:04 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Add --with-dbm to select between Berkeley and DBM
		KDC database format.


Thu Jun 15 18:09:33 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Change explicit library names to -l<lib> form, and
		change target link line to use $(LD) and associated flags.
	* configure.in - Add shared library usage check.

Sat Jun 10 23:07:45 1995  Tom Yu  (tlyu@dragons-lair)

	* kprop.c, kpropd.c: krb5_auth_context redefinitions

Fri Jun  9 18:56:39 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Sat May 20 13:46:36 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kpropd.c (load_database): If realm specified then invoke
		kdb5_edit with -r option.

	* kprop.M: Document -P (port) option.

	* kpropd.M: Document -P (port) option.

	* kprop.h: KPROPD_DEFAULT_KDB5_EDIT was pointing to wrong place.

Mon May 15 13:11:15 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kpropd.c (recv_database): Use krb5_int32 for over the wire
	database length. 
	(kerberos_authenticate): Make keytab support work

	* kprop.c (PRS): Add support for keytab and port specification.
	(xmit_database): Use krb5_int32 for length of database to go over
		the wire. 
	(kerberos_authenticate): Add krb5_auth_setaddrs call

Wed May 03 03:30:51 1995  Chris Provenzano (proven@mit.edu)

        * kpropd.c: (krb5_recvauth()): No longer needs the rc_type arg.

Fri Apr 14 15:23:29 1995    <tytso@rsx-11.mit.edu>

	* kpropd.c (load_database): kpropd uses fork instead of vfork,
		because it's closing file descriptors in the child.

		Print out the pid of the child process if debugging is
		enabled. 

		Use _exit() instead exit() after a fork(), so that child
		process doesn't cause the stdio buffers don't get flushed
		twice.

		When debugging is enabled and kpropd can't bind to the
		port, it should try binding again after setting
		SO_REUSEADDR on the socket.  This avoids problems when
		debugging modifications to kprop/kpropd or its setup, when
		kpropd is run twice quickly in succession. 

		kpropd shouldn't signal(SIGCHLD, SIG_IGN) in the parent.
		Instead, it should wait() until the child exits.  This was
		causing problems because setting SIGCHLD to SIG_IGN under
		SYSV causes child processes to get reaped automatically,
		so the wait() for kdb5_edit was failing.

Mon Mar 27 07:56:26 1995 Chris Provenzano (proven@mit.edu)

        * kprop.c : Use new calling conventions for krb5_sendauth(),
		krb5_mk_safe(), krb5_rd_safe() and krb5_mk_priv().

        * kpropd.c : Use new calling conventions for krb5_recvauth(),
		krb5_mk_safe(), krb5_rd_safe() and krb5_rd_priv().

Fri Mar 24 14:49:41 1995    <tytso@rsx-11.mit.edu>

	* kpropd.c (PRS): Don't bother initializing server_addrs since
		it's not used.

	* kprop.c (get_tickets): Remove the call to krb5_os_localaddr() since
		get_in_tkt_XXXX will default appropriately.

Thu Mar  2 12:26:08 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (ISODELIB): Remove reference to $(ISODELIB).

Wed Mar  1 16:31:13 1995  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in: Remove ISODE_INCLUDE, replace check for -lsocket
		and -lnsl with WITH_NETLIB check.

Tue Feb 28 01:21:52 1995  John Gilmore  (gnu at toad.com)

	* kprop.c, kpropd.c:  Avoid <krb5/...> includes.

Tue Feb 14 15:30:55 1995 Chris Provenzano  (proven@mit.edu)

        * kprop.c Call krb5_sendauth() with new calling convention.

	* kprop.c (kerberos_authenticate()), (xmit_database()), cleaned up
		to not use globals. Instead use krb5_creds * args.

Fri Feb 03 18:39:24 1995  Chris Provenzano (proven@mit.edu)

	* kprop.c Use krb5_get_in_tkt_with_keytab() instead of
		 krb5_get_in_tkt_with_skey().

Fri Jan 13 15:23:47 1995  Chris Provenzano (proven@mit.edu)

    * Added krb5_context to all krb5_routines

Thu Nov 17 18:31:18 1994  Mark Eichin  (eichin@cygnus.com)

	* kprop.c: Use NPROTOTYPE for declarations.
	(close_database): New function. Cleans up locks properly.
	(main): call it.
	(open_database): Use krb5_lock_file instead of POSIX_FILE_LOCKS.
	* kpropd.c (doit): Use krb5_lock_file.
	(changes from jtkohl@mit.edu.)

Mon Oct  3 19:13:46 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Use $(srcdir) to find manual page for make install.

Thu Sep 29 22:15:27 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Relink executable if libraries change.

	* kprop.c (open_connection): Use getsockname instead of
		getpeername when getting the sender address.

Thu Sep 15 12:48:21 1994  Theodore Y. Ts'o  (tytso@dcl)

	* kpropd.c (PRS): Only report errors to syslog if the debug flag
	is not set.  (Otherwise, send them to stderr).

Thu Aug  4 15:15:00 1994  Tom Yu  (tlyu@dragons-lair)

	* configure.in:
	* kpropd.c: include <sgtty.h> only if POSIX_TERMIOS is not defined

Sat Jul 16 00:01:41 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* kpropd.c (do_standalone): Replace detach_process() with call to
	  daemon(), which we can now guarantee will be in libc or in the
	  Kerberos library.


